Subject: [PATCH v8 11/12] leds: Kconfig for Palmas LEDs

From: [email-masked] (Ian Lartey)
Date: Wed, 13 Mar 2013 23:48:41 +0000

On 13/03/13 20:31, Stephen Warren wrote:
> On 03/08/2013 10:13 AM, Ian Lartey wrote:
>> On 08/03/13 01:13, Kim, Milo wrote:
>>>> Add the Kconfig and Makefile for the Palmas LED driver.
>>>
>>> It would be better if the Palmas LED driver files are combined into
>>> one patch.
>>> [PATCH v8 09/12] leds: Add support for Palmas LEDs
>>> [PATCH v8 11/12] leds: Kconfig for Palmas LEDs
>>
>> [PATCH v8 11/12] leds: Kconfig for Palmas LEDs
>> can often cause a merge conflict if there are already
>> additional drivers/files in the leds directory
>>
>> [PATCH v8 09/12] leds: Add support for Palmas LEDs
>> has more chance of being applied without any issues
>> (unless the person taking the patch already has
>> their own leds-palmas.c.
>
> A merge conflict isn't really influenced at all by how many other files
> are included in the patch that causes it,

Ah, I was thinking more of additional files in the destination
directory of the patch compared to when the patch was generated
giving a higher likelihood of multiple changes to the Makefile and 
Kconfig clashing with the Makefile and Kconfig patch changes.

> and both files are going to
> end up going through the same tree at the same time. So, there's no
> benefit at all that I can see from splitting the C file and Kconfig.

At least one of the LED maintainers has agreed with both of you
so it looks like I'm making things worse (not better as intended !)
I'll merge for the next patch mail.

Thanks for this and your other review comments.

Ian
>
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>